<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
		XSLT-Stylesheet responsible for transforming gbXML to RDF/OWL
		Author: Mario J. Kofler
		Date: May 2013
		Version: 0.3
		Description: 
		Master File to transform a concrete instance of gbXML (a concrete house model) to individuals in the generated RDF/OWL schema
	 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-->

<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:gbx="http://www.gbxml.org/schema"
				xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
				exclude-result-prefixes="gbx"
				>

<!-- UPDATE 26.11.2012: This parameter has been added to be flexible when dealing with different versions of gbXML. -->
<xsl:param name="vgbXMLVersion"/>
	
<xsl:include href="./functions/functionsGeneral.xsl" />
<xsl:include href="./functions/functionsIndividuals.xsl" />
<xsl:include href="./properties/properties.xsl" />
<xsl:include href="./classes/classes.xsl" />
<xsl:include href="./individuals/individuals.xsl" />

<xsl:output 
			indent="yes"
			omit-xml-declaration="yes"
			encoding="UTF-8"/>

<xsl:template match="/">
			   	
	<rdf:RDF>
	<xsl:text>
	
	
	
	
	
	<!-- for concantenation reasons of Model and Individuals this space is necessary and recommended, in order to simplify the search for the transition between general model and concrete instances -->
	
	
	
	
	</xsl:text>
	<!-- apply templates to create individuals, which means the actual modeled house -->
		<xsl:apply-templates select="/gbx:gbXML" mode="complete"/>

    </rdf:RDF>	  	  

</xsl:template>

</xsl:stylesheet>
